# JSDoc: Class: chat

# Class: chat

## chat(user, flair, highLevel, msg, type, links)

Class representing a single chat message

## Constructor

#### new chat(user, flair, highLevel, msg, type, links)

Instantiates a chat message object

##### Parameters:

Name | Type | Description
--- | --- | ---
`user` | connectedUser | User who sent the message
`flair` | String | Flair ID String for the flair used to send the message
`highLevel` | Number | Number representing current high level
`msg` | String | Contents of the message, with links replaced with numbered file-seperator markers
`type` | String | Message Type Identifier, used for client-side processing.
`links` | Array | Array of URLs/Links included in the message.

Source:
  - app/channel/chat.js, line 20